> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List vcard transactions by paypoint

GET https://api-sandbox.payabli.com/api/Query/vcardsTransactions/{entry}

Retrieve a list of virtual card transactions for an entrypoint. Use filters to limit results.

Reference: https://docs.payabli.com/developers/api-reference/query/get-list-of-virtual-card-transactions-for-entrypoint

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.
- `requestToken` header (required) — Long-lived API token sent in the `requestToken` header. See [API token authentication](/developers/api-tokens).

## Servers

- `https://api-sandbox.payabli.com/api` (Sandbox, default)
- `https://api.payabli.com/api` (Production)

## Request

### Path parameters

- `entry` (string, required) — The entity's entrypoint identifier. [Learn more](/developers/api-reference/api-overview#entrypoint-vs-entry)

### Query parameters

- `fromRecord` (integer, optional, default: 0) — The number of records to skip before starting to collect the result set.
- `limitRecord` (integer, optional, default: 20) — Max number of records to return for the query. Use `0` or negative value to return all records.
- `parameters` (map from string to string, optional) — Collection of field names, conditions, and values used to filter the query. **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client, for example: \--url [https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?parameters=transactionAmount(gt)=100\&limitRecord=20](https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?parameters=transactionAmount\(gt\)=100\&limitRecord=20) should become: \--url [https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?transactionAmount(gt)=100\&limitRecord=20](https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?transactionAmount\(gt\)=100\&limitRecord=20) Accepted field names: * `identifier` (eq, ne, ct, nct) * `transactionType` (eq, ne, ct, nct) * `transactionStatus` (eq, ne, ct, nct, in, nin) * `transactionAmount` (eq, ne, gt, ge, lt, le, ct, nct) * `transactionCreatedOn` (eq, ne, gt, ge, lt, le) * `cardToken` (ct, nct, eq, ne) * `lastFour` (ct, nct, eq, ne) * `expirationDate` (ct, nct, eq, ne) * `mcc` (ct, nct, eq, ne) * `payoutId` (gt, lt, eq, ne) * `customerId` (gt, lt, eq, ne) * `vendorId` (gt, lt, eq, ne) * `miscData1` (ct, nct, eq, ne) * `miscData2` (ct, nct, eq, ne) * `currentUses` (gt, ge, lt, le, eq, ne) * `amount` (gt, ge, lt, le, eq, ne) * `balance` (gt, ge, lt, le, eq, ne) * `paypointLegal` (ne, eq, ct, nct) * `paypointDba` (ne, eq, ct, nct) * `orgName` (ne, eq, ct, nct, in, nin) * `externalPaypointID` (ct, nct, eq, ne) * `paypointId` (gt, lt, eq, ne) Accepted comparison operators - enclosed between parentheses: * eq or empty => equal * gt => greater than * ge => greater or equal * lt => less than * le => less or equal * ne => not equal * ct => contains * nct => not contains * in => inside array separated by "|" * nin => not inside array separated by "|"
- `sortBy` (string, optional) — The field name to use for sorting results. Use `desc(field_name)` to sort descending by `field_name`, and use `asc(field_name)` to sort ascending by `field_name`.

## Response

### 200

Success

- `Summary` (VCardSummary, required)
- `Records` (list of VCardTransactionRecord, required)

## Errors

### 400 Bad Request Error

Bad request / invalid data.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (PayabliErrorBodyResponseData, optional) — Object with detailed error context.

### 401 Unauthorized Error

Unauthorized request.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (PayabliErrorBodyResponseData, optional) — Object with detailed error context.

### 500 Internal Server Error

Internal server error.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (PayabliErrorBodyResponseData, optional) — Object with detailed error context.

### 503 Service Unavailable Error

Database connection error.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (PayabliErrorBodyResponseData, optional) — Object with detailed error context.

## Types

### VCardSummary

- `totalPages` (integer, required) — Total number of pages in response.
- `totalRecords` (integer, required) — Total number of records in response.
- `totalAmount` (double, required) — Total amount for the records.
- `totalactive` (integer, required) — Total number of active vCards.
- `totalamountactive` (double, required) — Total amount of active vCards.
- `totalbalanceactive` (double, required) — Total balance of active vCards.
- `totalNetAmount` (double, optional) — Total net amount for the records.
- `pageidentifier` (string, optional) — Auxiliary validation used internally by payment pages and components.
- `pageSize` (integer, optional) — Number of records on each response page.

### VCardTransactionRecord

A virtual card transaction record returned by the query.

- `Identifier` (string, required, nullable) — Unique identifier for the transaction.
- `CardToken` (string, required, nullable) — Token of the virtual card associated with the transaction.
- `LastFour` (string, required, nullable) — Last four digits of the masked virtual card number.
- `ExpirationDate` (string, required, nullable) — Expiration date of the virtual card used for the transaction.
- `Mcc` (string, required, nullable) — Business Merchant Category Code (MCC). [This resource](https://github.com/greggles/mcc-codes/blob/main/mcc_codes.csv) lists MCC codes.
- `PayoutId` (long, required, nullable) — Identifier of the payout linked to this transaction.
- `CustomerId` (long, required, nullable) — Identifier of the customer linked to this transaction.
- `VendorId` (long, required, nullable) — Identifier of the vendor linked to this transaction.
- `MiscData1` (string, required, nullable) — Custom field 1 from the virtual card.
- `MiscData2` (string, required, nullable) — Custom field 2 from the virtual card.
- `CurrentUses` (integer, required, nullable) — Number of times the virtual card has been used.
- `Amount` (double, required, nullable) — Authorized amount on the virtual card.
- `Balance` (double, required, nullable) — Current balance remaining on the virtual card.
- `PaypointId` (long, required, nullable) — Numeric identifier of the paypoint that issued the virtual card.
- `PaypointLegal` (string, required, nullable) — Business legal name.
- `PaypointDba` (string, required, nullable) — The alternate or common name that this business is doing business under, usually referred to as a DBA name.
- `ExternalPaypointID` (string, required, nullable) — A custom identifier for the paypoint, if applicable.
- `OrgName` (string, required, nullable) — The name of the parent organization.
- `Type` (string, required, nullable) — Transaction type, such as `AUTHORIZATION`.
- `Status` (string, required, nullable) — Transaction status, such as `AUTHORIZATION`.
- `CreatedOn` (string, required, nullable) — Date and time the transaction was created. Format: `YYYY-MM-DD HH:MM:SS.ffffff`.
- `TransactionAmount` (string, required, nullable) — Amount of the transaction, as a string value.
- `PostedAmount` (string, required, nullable) — Posted amount of the transaction, as a string value.
- `PostedOn` (string, required, nullable) — Date and time the transaction was posted, in format `YYYY-MM-DD HH:MM:SS.ffffff`. Null when the transaction hasn't posted yet.
- `MerchantName` (string, required, nullable) — Name of the merchant where the virtual card was used.
- `AuthorizationStatus` (string, required, nullable) — Authorization status of the transaction.
- `ReasonToDecline` (string, required, nullable) — Reason the transaction was declined, when applicable.

### PayabliErrorBodyResponseData

Object with detailed error context.

- `explanation` (string, optional) — Human-readable explanation of what happened.
- `todoAction` (string, optional) — Suggested resolution.

## Examples

**Response**

```json
{
  "Summary": {
    "totalPages": 20,
    "totalRecords": 393,
    "totalAmount": 231.58,
    "totalactive": 388,
    "totalamountactive": 219.58,
    "totalbalanceactive": -213.83
  },
  "Records": [
    {
      "Identifier": "7HQ2P9B4XD",
      "CardToken": "5RJ8MN2KC4",
      "LastFour": "1234",
      "ExpirationDate": "06-30-2029",
      "Mcc": "5943",
      "PayoutId": 84210,
      "CustomerId": 4440,
      "VendorId": 456,
      "MiscData1": "Invoice #12345",
      "MiscData2": "Project: Office Supplies",
      "CurrentUses": 1,
      "Amount": 500,
      "Balance": 425.5,
      "PaypointId": 3040,
      "PaypointLegal": "Global Factory LLC",
      "PaypointDba": "Global Factory",
      "ExternalPaypointID": "pay-10",
      "OrgName": "SupplyPro",
      "Type": "AUTHORIZATION",
      "Status": "AUTHORIZATION",
      "CreatedOn": "2026-05-05 03:28:53.082830",
      "TransactionAmount": "74.500",
      "PostedAmount": "0.000",
      "PostedOn": null,
      "MerchantName": "Office Supply Co.",
      "AuthorizationStatus": "AUTHORIZATION",
      "ReasonToDecline": null
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267"

querystring = {"fromRecord":"0","limitRecord":"20","sortBy":"desc(CreatedOn)"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?fromRecord=0&limitRecord=20&sortBy=desc%28CreatedOn%29';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?fromRecord=0&limitRecord=20&sortBy=desc%28CreatedOn%29"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?fromRecord=0&limitRecord=20&sortBy=desc%28CreatedOn%29")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?fromRecord=0&limitRecord=20&sortBy=desc%28CreatedOn%29")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?fromRecord=0&limitRecord=20&sortBy=desc%28CreatedOn%29', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?fromRecord=0&limitRecord=20&sortBy=desc%28CreatedOn%29");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?fromRecord=0&limitRecord=20&sortBy=desc%28CreatedOn%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```